开源Web应用程序中的三个XSS错误可能导致系统完全受损

admin 2022年8月27日13:07:28安全新闻评论4 views1089字阅读3分37秒阅读模式

研究人员公布了流行的开源应用程序中的三个跨站点脚本(XSS)漏洞的详细信息,这些漏洞可能导致远程代码执行 (RCE)。由PT Swarm的一个研究团队发现的安全漏洞是在Web开发应用程序Evolution CMS、FUDForum和GitBucket中发现的。传统的XSS攻击允许攻击者的JavaScript代码在受害者用户的浏览器中执行,从而为cookie盗窃、重定向到网络钓鱼站点等打开了大门。

开源Web应用程序中的三个XSS错误可能导致系统完全受损


网络安全研究员Aleksey Solovev说,PT Swarm的博客中详细介绍了这项研究,它涉及“已发现的进行XSS攻击的可能性与内置文件管理器(或执行SQL查询)在管理员面板可以导致系统的完全妥协”。


Evolution CMS v3.1.8中的第一个漏洞可能允许攻击者在管理面板的多个位置执行反射型XSS攻击。


“攻击者可能试图通过社交工程强制系统管理员跟踪恶意链接,这将导致在被攻击的浏览器中执行恶意JavaScript代码,”Solovev说。


“结果将是通过使用内置文件管理器覆盖可执行文件来彻底破坏系统。”


在FUDforum v3.1.1中发现的第二个缺陷可能允许恶意行为者以私人消息中附件的名称执行存储的XSS攻击。


“攻击者可以向管理员发送私人消息,其中包含以附件名称的恶意负载,”Solovev说。


“当管理员读取此消息时,他的浏览器将执行JavaScript代码,并使用内置文件管理器创建一个可执行文件,允许攻击者在服务器上执行命令。”


最后,根据Solovev的说法,在GitBucket v4.37.1中,发现了一个安全漏洞,可以使攻击者在“多个地方”执行存储的XSS攻击。


攻击者必须在公共存储库中创建一个问题,并将JavaScript代码注入到分配的名称中。


此事件将显示在常规提要和攻击者的配置文件中。正是在这些地方,存在带有恶意加载的任务名称的不安全显示,这导致在查看这些页面的每个人的浏览器中执行JavaScript代码。


“在管理面板中,可以执行基于H2数据库引擎的SQL代码,已经有一个漏洞允许您在服务器上执行命令,”Solovev解释说。


“将所有内容放在一起,攻击者可以攻击管理员并获得在服务器上执行命令的能力。”


这三个漏洞都在等待CVE,但已由项目的维护者修补。


研究人员补充说,发现这些缺陷的主要困难是找到进行XSS攻击的可能性。


“其余步骤更容易,因为他们在管理面板中以文件管理器的形式公开利用合法功能,”他解释说。


可以在PT Swarm的博客中找到有关漏洞和技术细节的更多信息。


原文始发于微信公众号(郑州网络安全):开源Web应用程序中的三个XSS错误可能导致系统完全受损

特别标注: 本站(CN-SEC.COM)所有文章仅供技术研究,若将其信息做其他用途,由用户承担全部法律及连带责任,本站不承担任何法律及连带责任,请遵守中华人民共和国安全法.
  • 我的微信
  • 微信扫一扫
  • weinxin
  • 我的微信公众号
  • 微信扫一扫
  • weinxin
admin
  • 本文由 发表于 2022年8月27日13:07:28
  • 转载请保留本文链接(CN-SEC中文网:感谢原作者辛苦付出):
                  开源Web应用程序中的三个XSS错误可能导致系统完全受损 http://cn-sec.com/archives/1257990.html

发表评论

匿名网友 填写信息

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: